Subject: bug#40197: closed (Re: [bug#40197] [PATCH] gnu: sord: Add pcre to inputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Mar 2020 19:55:02 +0000

Your bug report

#40197: [PATCH] gnu: sord: Add pcre to inputs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40197: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40197
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40197] [PATCH] gnu: sord: Add pcre to inputs.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 23 Mar 2020 20:54:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> I looked it up and apparently it needs pcre to build:
> https://gitlab.com/drobilla/sord/-/blob/master/wscript#L211
>
> I have verified that adding pcre as an input now produces sord_validate
> in /bin.

Thanks for this patch. I added your copyright, edited a bit the commit
message and pushed.

Mathieu

Subject: [PATCH] gnu: sord: Add pcre to inputs.
From: Alexandros Theodotou <[email-masked]>
To: Guix patches <[email-masked]>
Date: Mon, 23 Mar 2020 16:56:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sord did not have the `sord_validate` binary (which is needed for
`lv2_validate` from the lv2 package to function properly).

I looked it up and apparently it needs pcre to build:
https://gitlab.com/drobilla/sord/-/blob/master/wscript#L211

I have verified that adding pcre as an input now produces sord_validate
in /bin.

Thanks,
Alex
From 3edad6b801d4328e0ebdf9a9244a00fcbd8fda70 Mon Sep 17 00:00:00 2001
From: Alexandros Theodotou <[email-masked]>
Date: Mon, 23 Mar 2020 16:51:44 +0000
Subject: [PATCH] gnu: sord: Add pcre to inputs.

* gnu/packages/rdf.scm (sord): Add pcre needed for sord_validate
---
 gnu/packages/rdf.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/rdf.scm b/gnu/packages/rdf.scm
index b9abd37e40..15f8d64d43 100644
--- a/gnu/packages/rdf.scm
+++ b/gnu/packages/rdf.scm
@@ -319,6 +319,8 @@ ideal (e.g. in LV2 implementations or embedded applications).")
                     (string-append "-Wl,-rpath="
                                    (assoc-ref outputs "out") "/lib"))
             #t)))))
+    (inputs
+     `(("pcre" ,pcre)))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (propagated-inputs
-- 
2.25.1